Debian Bug report logs - #639676
pu: package pbuilder/0.199+nmu1

version graph

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Julien Cristau <julien.cristau@logilab.fr>

Date: Mon, 29 Aug 2011 10:30:02 UTC

Severity: normal

Tags: confirmed, squeeze

Fixed in version 6.0.4

Done: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, pbuilder@packages.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#639676; Package release.debian.org. (Mon, 29 Aug 2011 10:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <julien.cristau@logilab.fr>:
New Bug report received and forwarded. Copy sent to pbuilder@packages.debian.org, Debian Release Team <debian-release@lists.debian.org>. (Mon, 29 Aug 2011 10:30:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien Cristau <julien.cristau@logilab.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pu: package pbuilder/0.199+nmu1
Date: Mon, 29 Aug 2011 12:26:28 +0200
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: pu

(x-debbugs-cc pbuilder@pdo)

Trying to use pdebuild against sid in squeeze fails with:
/usr/sbin/pbuilder: line 120: /var/cache/pbuilder/build//32247/run: Is a directory
(bug#627086).

Would the following change be ok for a stable update?

diff --git a/Documentation/pbuilder-doc.ja.po b/Documentation/pbuilder-doc.ja.po
index 36be286..3c71eac 100644
--- a/Documentation/pbuilder-doc.ja.po
+++ b/Documentation/pbuilder-doc.ja.po
@@ -7,10 +7,11 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: xxx\n"
-"POT-Creation-Date: 2010-01-02 16:15+0000\n"
+"POT-Creation-Date: 2011-08-29 10:02+0000\n"
 "PO-Revision-Date: 2008-06-27 15:35+0900\n"
 "Last-Translator: Junichi Uekawa <dancer@debian.org>\n"
 "Language-Team: Junichi Uekawa <dancer@debian.org>\n"
+"Language: \n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: utf-8\n"
@@ -2912,8 +2913,8 @@ msgstr ""
 # type: Content of: <book><chapter><sect1><table><tgroup><tbody><row><entry>
 #. type: Content of: <book><chapter><sect1><table><tgroup><tbody><row><entry>
 #: pbuilder-doc.xml:1612
-msgid "<filename>/run</filename>"
-msgstr "<filename>/run</filename>"
+msgid "<filename>/runscript</filename>"
+msgstr "<filename>/runscript</filename>"
 
 # type: Content of: <book><chapter><sect1><table><tgroup><tbody><row><entry>
 #. type: Content of: <book><chapter><sect1><table><tgroup><tbody><row><entry>
diff --git a/Documentation/pbuilder-doc.xml b/Documentation/pbuilder-doc.xml
index 419ee23..d8b9b6f 100644
--- a/Documentation/pbuilder-doc.xml
+++ b/Documentation/pbuilder-doc.xml
@@ -1609,7 +1609,7 @@ cache location</entry>
 	      </entry>
 	    </row>
 	    <row>
-	      <entry><filename>/run</filename></entry> 
+	      <entry><filename>/runscript</filename></entry> 
 	      <entry>The
 	      script passed as an argument to
 	      <command>pbuilder</command> execute is passed on.
diff --git a/debian/changelog b/debian/changelog
index ff042d9..89cda37 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,12 @@
+pbuilder (0.199+nmu1squeeze1) squeeze; urgency=low
+
+  * Non-maintainer upload.
+  * Cherry-pick from 0.199+nmu4: Rename the /run script from --execute to
+    /runscript, for compatibility with wheezy and later which have /run as a
+    directory replacing /var/run (bug#627086)
+
+ -- Julien Cristau <jcristau@debian.org>  Mon, 29 Aug 2011 11:53:06 +0200
+
 pbuilder (0.199+nmu1) unstable; urgency=low
 
   * Non-Maintainer Upload.
diff --git a/pbuilder b/pbuilder
index 8a092f8..d816183 100755
--- a/pbuilder
+++ b/pbuilder
@@ -116,11 +116,11 @@ File extracted to: $BUILDPLACE
 	recover_aptcache
 	trap saveaptcache_umountproc_cleanbuildplace_trap exit sighup
 
-	RUNNAME="$BUILDPLACE/run"
+	RUNNAME="$BUILDPLACE/runscript"
 	cat "$EXECPROGRAM" > "$RUNNAME"
 	chmod a+x "$RUNNAME"
 	executehooks "F"
-	( ${CHROOTEXEC} /run "$@" )
+	( ${CHROOTEXEC} /runscript "$@" )
 	RET=$?
 	rm -f "$RUNNAME"
 

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#639676; Package release.debian.org. (Sat, 17 Sep 2011 16:24:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 17 Sep 2011 16:24:17 GMT) Full text and rfc822 format available.

Message #10 received at 639676@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Julien Cristau <julien.cristau@logilab.fr>, 639676@bugs.debian.org
Subject: Re: Bug#639676: pu: package pbuilder/0.199+nmu1
Date: Sat, 17 Sep 2011 17:22:46 +0100
tag 639676 + squeeze moreinfo
thanks

On Mon, 2011-08-29 at 12:26 +0200, Julien Cristau wrote:
> Trying to use pdebuild against sid in squeeze fails with:
> /usr/sbin/pbuilder: line 120: /var/cache/pbuilder/build//32247/run: Is a directory
> (bug#627086).
> 
> Would the following change be ok for a stable update?
[...]
> +  * Cherry-pick from 0.199+nmu4: Rename the /run script from --execute to
> +    /runscript, for compatibility with wheezy and later which have /run as a
> +    directory replacing /var/run (bug#627086)

Is the script ever used or accessed by anything outside of pbuilder's
internals?

Regards,

Adam





Added tag(s) squeeze and moreinfo. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 17 Sep 2011 16:24:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#639676; Package release.debian.org. (Mon, 19 Sep 2011 09:19:50 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <julien.cristau@logilab.fr>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 19 Sep 2011 09:19:53 GMT) Full text and rfc822 format available.

Message #17 received at 639676@bugs.debian.org (full text, mbox):

From: Julien Cristau <julien.cristau@logilab.fr>
To: "Adam D\. Barratt" <adam@adam-barratt.org.uk>
Cc: 639676@bugs.debian.org, pbuilder@packages.debian.org
Subject: Re: Bug#639676: pu: package pbuilder/0.199+nmu1
Date: Mon, 19 Sep 2011 11:15:18 +0200
On Sat, Sep 17, 2011 at 17:22:46 +0100, Adam D. Barratt wrote:

> tag 639676 + squeeze moreinfo
> thanks
> 
> On Mon, 2011-08-29 at 12:26 +0200, Julien Cristau wrote:
> > Trying to use pdebuild against sid in squeeze fails with:
> > /usr/sbin/pbuilder: line 120: /var/cache/pbuilder/build//32247/run: Is a directory
> > (bug#627086).
> > 
> > Would the following change be ok for a stable update?
> [...]
> > +  * Cherry-pick from 0.199+nmu4: Rename the /run script from --execute to
> > +    /runscript, for compatibility with wheezy and later which have /run as a
> > +    directory replacing /var/run (bug#627086)
> 
> Is the script ever used or accessed by anything outside of pbuilder's
> internals?
> 
I would think not, since that file is created with the script passed to
--execute, run inside the chroot, and then immediately deleted, so
there's not a lot of opportunity for anything else to use it afaict.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#639676; Package release.debian.org. (Tue, 20 Sep 2011 18:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 20 Sep 2011 18:54:06 GMT) Full text and rfc822 format available.

Message #22 received at 639676@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Julien Cristau <julien.cristau@logilab.fr>, 639676@bugs.debian.org
Cc: pbuilder@packages.debian.org
Subject: Re: Bug#639676: pu: package pbuilder/0.199+nmu1
Date: Tue, 20 Sep 2011 19:50:20 +0100
tag 639676 - moreinfo + confirmed
thanks

On Mon, 2011-09-19 at 11:15 +0200, Julien Cristau wrote:
> On Sat, Sep 17, 2011 at 17:22:46 +0100, Adam D. Barratt wrote:
> > On Mon, 2011-08-29 at 12:26 +0200, Julien Cristau wrote:
> > > +  * Cherry-pick from 0.199+nmu4: Rename the /run script from --execute to
> > > +    /runscript, for compatibility with wheezy and later which have /run as a
> > > +    directory replacing /var/run (bug#627086)
> > 
> > Is the script ever used or accessed by anything outside of pbuilder's
> > internals?
> > 
> I would think not, since that file is created with the script passed to
> --execute, run inside the chroot, and then immediately deleted, so
> there's not a lot of opportunity for anything else to use it afaict.

In which case, please go ahead.

Regards,

Adam





Removed tag(s) moreinfo. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Tue, 20 Sep 2011 18:54:08 GMT) Full text and rfc822 format available.

Added tag(s) confirmed. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Tue, 20 Sep 2011 18:54:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#639676; Package release.debian.org. (Thu, 12 Jan 2012 22:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 12 Jan 2012 22:18:06 GMT) Full text and rfc822 format available.

Message #31 received at 639676@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 639676@bugs.debian.org
Cc: Julien Cristau <julien.cristau@logilab.fr>, pbuilder@packages.debian.org
Subject: Re: Bug#639676: pu: package pbuilder/0.199+nmu1
Date: Thu, 12 Jan 2012 23:16:24 +0100
[Message part 1 (text/plain, inline)]
On Tue, Sep 20, 2011 at 19:50:20 +0100, Adam D. Barratt wrote:

> In which case, please go ahead.
> 
Uploaded.  Sorry for the delay.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#639676; Package release.debian.org. (Fri, 13 Jan 2012 17:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 13 Jan 2012 17:42:03 GMT) Full text and rfc822 format available.

Message #36 received at 639676@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Julien Cristau <jcristau@debian.org>, 639676@bugs.debian.org
Cc: Julien Cristau <julien.cristau@logilab.fr>, pbuilder@packages.debian.org
Subject: Re: Bug#639676: pu: package pbuilder/0.199+nmu1
Date: Fri, 13 Jan 2012 17:38:31 +0000
tag 639676 + pending
thanks

On Thu, 2012-01-12 at 23:16 +0100, Julien Cristau wrote:
> On Tue, Sep 20, 2011 at 19:50:20 +0100, Adam D. Barratt wrote:
> 
> > In which case, please go ahead.
> > 
> Uploaded.  Sorry for the delay.

Flagged for acceptance; thanks.

Regards,

Adam





Added tag(s) pending. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Fri, 13 Jan 2012 17:42:12 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 6.0.4, send any further explanations to Julien Cristau <julien.cristau@logilab.fr> Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 28 Jan 2012 14:06:18 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 26 Feb 2012 07:38:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:43:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.